---
title: unescape()
slug: Web/JavaScript/Reference/Global_Objects/unescape
tags:
  - Deprecated
  - JavaScript
  - Method
---
<p>{{jsSidebar("Objects")}}</p>

<div class="warning">Warning: Although <code>unescape()</code> is not strictly deprecated (as in "removed from the Web standards"), it is defined in <a href="https://www.ecma-international.org/ecma-262/9.0/index.html#sec-additional-ecmascript-features-for-web-browsers">Annex B</a> of the ECMA-262 standard, whose introduction states:
<blockquote>… All of the language features and behaviours specified in this annex have one or more undesirable characteristics and in the absence of legacy usage would be removed from this specification. …<br>
… Programmers should not use or assume the existence of these features and behaviours when writing new ECMAScript code. …</blockquote>
</div>

<p>The <code><strong>unescape()</strong></code> function computes a new string in which hexadecimal escape sequences are replaced with the character that it represents. The escape sequences might be introduced by a function like {{jsxref("escape")}}. Usually, {{jsxref("decodeURI")}} or {{jsxref("decodeURIComponent")}} are preferred over <code>unescape</code>.</p>

<div class="note"><strong>Note:</strong> Do not use <code>unescape</code> to decode URIs, use <code>decodeURI</code> instead.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">unescape(<var>str</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>str</var></code></dt>
 <dd>A string to be decoded.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A new string in which certain characters have been unescaped.</p>

<h2 id="Description">Description</h2>

<p>The <code>unescape</code> function is a property of the <em>global object</em>.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_unescape">Using unescape</h3>

<pre class="brush: js notranslate">unescape('abc123');     // "abc123"
unescape('%E4%F6%FC');  // "äöü"
unescape('%u0107');     // "ć"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-unescape-string', 'unescape')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.unescape")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("decodeURI")}}</li>
 <li>{{jsxref("decodeURIComponent")}}</li>
 <li>{{jsxref("escape")}}</li>
</ul>
